﻿// Silverlight Vista Sidebar Gadget Template created by Ioan Lazarciuc
// http://www.lazarciuc.ro/ioan
// Contact form present on website
// Based on the Vista Sidebar Gadget Template created by Tim Heuer 
// http://timheuer.com/blog/

function init()
{
    checkDockState(); // check the initial state
	
	// setup the event handlers for gadget events
	// The javascript Gadget object does not accept multiple event handlers for the same event,
	// so triggering the Silverlight events has to be done from one location
	// or the event handlers have to be reregistered each time the page comes into view
	System.Gadget.onDock = dockGadget;
	System.Gadget.onUndock = undockGadget;
	
	//System.Gadget.onSettingsClosed = settingsClosed;
	//System.Gadget.onSettingsClosing = settingsClosing;
	System.Gadget.onShowSettings = showSettings;
	System.Gadget.visibilityChanged = visibilityChanged;
	
	// Flyout page
	System.Gadget.Flyout.file = "flyout.html";
	// Settings page
	System.Gadget.settingsUI = "settings.html";
}

function settingsClosed(event)
{
    var sgd = document.getElementById("silgd");
    var sgud = document.getElementById("silgud");
    //var sgs = document.getElementById("silgs"); // event handler cannot be called from here
    //var sgf = document.getElementById("silgf"); //cannot receive event
    
    if (sgd != null && sgd != undefined)
        sgd.content.SilverlightGadgetEvents.ScriptSettingsClosedCallback(event);
    if (sgud != null && sgud != undefined)
        sgud.content.SilverlightGadgetEvents.ScriptSettingsClosedCallback(event);
}
function settingsClosing(event)
{
    var sgd = document.getElementById("silgd");
    var sgud = document.getElementById("silgud");
    //var sgs = document.getElementById("silgs"); // event handler cannot be called from here
    //var sgf = document.getElementById("silgf"); //cannot receive event
    
    if (sgd != null && sgd != undefined)
        sgd.content.SilverlightGadgetEvents.ScriptSettingsClosingCallback(event);
    if (sgud != null && sgud != undefined)
        sgud.content.SilverlightGadgetEvents.ScriptSettingsClosingCallback(event);
}
function showSettings()
{
    var sgd = document.getElementById("silgd");
    var sgud = document.getElementById("silgud");
    //var sgs = document.getElementById("silgs"); //cannot receive event
    //var sgf = document.getElementById("silgf"); //cannot receive event
    
    if (sgd != null && sgd != undefined)
        sgd.content.SilverlightGadgetEvents.ScriptShowSettingsCallback();
    if (sgud != null && sgud != undefined)
        sgud.content.SilverlightGadgetEvents.ScriptShowSettingsCallback();
}
function visibilityChanged()
{
    var sgd = document.getElementById("silgd");
    var sgud = document.getElementById("silgud");
    //var sgf = document.getElementById("silgf"); //cannot receive event
    
    try
    {
        if (sgd != null && sgd != undefined)
            sgd.content.SilverlightGadgetEvents.ScriptVisibilityChangedCallback();
        if (sgud != null && sgud != undefined)
            sgud.content.SilverlightGadgetEvents.ScriptVisibilityChangedCallback();
    }
    catch (e)
    {
    }
}

function dockGadget()
{
    // TODO: add your docking functions here
    //var oBody = document.body.style;
	//oBody.width = '130px';
	//oBody.height = '200px';
	showOrHide("docked", true);
    showOrHide("undocked", false);
	
	
	try
	{
	    //var sgd = document.getElementById("silgd"); //cannot receive event
        //var sgud = document.getElementById("silgud"); //cannot receive event
        //var sgs = document.getElementById("silgs"); //cannot receive event
        //var sgf = document.getElementById("silgf"); //cannot receive event
        
        //if (sgd != null && sgd != undefined)
        //    sgd.content.SilverlightGadgetEvents.ScriptDockCallback();
    }
    catch (e)
    {
    }
}

function undockGadget()
{
    // TODO: add your undocking functions here
    //var oBody = document.body.style;
	//oBody.width = '130px';
	//oBody.height = '200px';
	showOrHide("undocked", true);
    showOrHide("docked", false);
	
	try
	{
	    //var sgd = document.getElementById("silgd"); //cannot receive event
        //var sgud = document.getElementById("silgud"); //cannot receive event
        //var sgs = document.getElementById("silgs"); //cannot receive event
        //var sgf = document.getElementById("silgf"); //cannot receive event
    
        //if (sgd != null && sgd != undefined)
	    //    sgd.content.SilverlightGadgetEvents.ScriptUndockCallback();
    }
    catch (e)
    {
    }
}

function checkDockState()
{
    if (System.Gadget.docked) {
        dockGadget();
    }
    else {
        undockGadget();
    }
}

function showOrHide(oHTMLElement, bShowOrHide) 
{
  try 
  {
	if (typeof(oHTMLElement)=="string") 
	{ 
	  oHTMLElement = document.getElementById(oHTMLElement); 
	}
	if (oHTMLElement && oHTMLElement.style) 
	{
	  if (bShowOrHide == 'inherit') 
	  {
		oHTMLElement.style.visibility = 'inherit';
	  } 
	  else 
	  {
		if (bShowOrHide)
		{
		  oHTMLElement.style.visibility = 'visible';
		}
		else
		{
		  oHTMLElement.style.visibility = 'hidden';
		}
		try 
		{
		  if (bShowOrHide)
		  {
			oHTMLElement.style.display = 'block';
		  }
		  else
		  {
			oHTMLElement.style.display = 'none';
		  }
		}
		catch (ex) 
		{
		}
	  }
	}
  }
  catch (ex) 
  {
  }
}
function flyout()
{
    System.Gadget.Flyout.show = true;   
}